Skip to main content
GET
https://api.aisa.one/apis/v1
/
reddit
/
subreddit
Subreddit Posts
curl --request GET \
  --url https://api.aisa.one/apis/v1/reddit/subreddit \
  --header 'Authorization: Bearer <token>'
{
  "posts": [
    {
      "id": "1lfbo7u",
      "author": "Vetro_Nodulare2",
      "author_fullname": "t2_16syu27ar1",
      "subreddit": "AskReddit",
      "title": "What is a thing you love that lots of people hate?",
      "downs": 0,
      "name": "t3_1lfbo7u",
      "upvote_ratio": 0.9,
      "ups": 45,
      "total_awards_received": 0,
      "score": 45,
      "created": 1750341959,
      "num_comments": 349,
      "url": "https://www.reddit.com/r/AskReddit/comments/1lfbo7u/what_is_a_thing_you_love_that_lots_of_people_hate/",
      "subreddit_subscribers": 56146328,
      "is_video": false,
      "created_utc": 1750341959
    }
  ],
  "after": "t3_1lfogps"
}
Get the post stream of a subreddit. Subreddit names are case-sensitive (AskReddit, not askreddit).

Example

curl "https://api.aisa.one/apis/v1/reddit/subreddit?subreddit=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

AIsa API key. Get yours at https://aisa.one

Query Parameters

subreddit
string
required

Subreddit name

timeframe
enum<string>

Timeframe to get posts from

Available options:
all,
day,
week,
month,
year
sort
enum<string>

Sort order

Available options:
best,
hot,
new,
top,
rising
after
string

After to get more posts. Get 'after' from previous response.

trim
boolean

Set to true for a trimmed down version of the response

Response

200 - application/json

Successful response